Loading...
Searching...
No Matches
version.h File Reference

swscale version macros More...

`#include "libavutil/version.h"`
`#include "version_major.h"`

Go to the source code of this file.

## Macros

#define | LIBSWSCALE_VERSION_MINOR 1
#define | LIBSWSCALE_VERSION_MICRO 100
#define | LIBSWSCALE_VERSION_INT
#define | LIBSWSCALE_VERSION
#define | LIBSWSCALE_BUILD LIBSWSCALE_VERSION_INT
#define | LIBSWSCALE_IDENT "SwS" AV_STRINGIFY(LIBSWSCALE_VERSION)

## Detailed Description

swscale version macros

Definition in file version.h.

## Macro Definition Documentation

## LIBSWSCALE_VERSION_MINOR

#define LIBSWSCALE_VERSION_MINOR 1

Definition at line 31 of file version.h.

## LIBSWSCALE_VERSION_MICRO

#define LIBSWSCALE_VERSION_MICRO 100

Definition at line 32 of file version.h.

## LIBSWSCALE_VERSION_INT

#define LIBSWSCALE_VERSION_INT

Value:
AV_VERSION_INT(LIBSWSCALE_VERSION_MAJOR, \
LIBSWSCALE_VERSION_MINOR, \
LIBSWSCALE_VERSION_MICRO)
AV_VERSION_INT
#define AV_VERSION_INT(a, b, c)
Definition version.h:56
LIBSWSCALE_VERSION_MINOR
#define LIBSWSCALE_VERSION_MINOR
Definition version.h:31
LIBSWSCALE_VERSION_MICRO
#define LIBSWSCALE_VERSION_MICRO
Definition version.h:32
LIBSWSCALE_VERSION_MAJOR
#define LIBSWSCALE_VERSION_MAJOR
Definition version_major.h:27

Definition at line 34 of file version.h.

## LIBSWSCALE_VERSION

#define LIBSWSCALE_VERSION

Value:
AV_VERSION(LIBSWSCALE_VERSION_MAJOR, \
LIBSWSCALE_VERSION_MINOR, \
LIBSWSCALE_VERSION_MICRO)
AV_VERSION
#define AV_VERSION(a, b, c)
Definition version.h:58

Definition at line 37 of file version.h.

## LIBSWSCALE_BUILD

#define LIBSWSCALE_BUILD LIBSWSCALE_VERSION_INT

Definition at line 40 of file version.h.

## LIBSWSCALE_IDENT

#define LIBSWSCALE_IDENT "SwS" AV_STRINGIFY(LIBSWSCALE_VERSION)

Definition at line 42 of file version.h.